/*
AccountListener.java
Copyright (C) 2010  Belledonne Communications, Grenoble, France

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

package org.linphone.core;

import androidx.annotation.Nullable;
import androidx.annotation.NonNull;

/**
* An object to handle the callbacks for the handling of LinphoneAccount objects. <br/>
* <br/>
*/
public interface AccountListener {
    /**
    * Callback for notifying when a registration state has changed for the account. <br/>
    * <br/>
    * @param account LinphoneAccount object whose registration state changed.   <br/>
    * @param state The current LinphoneRegistrationState. <br/>
    * @param message A non null informational message about the state.   <br/>
    */
    public void onRegistrationStateChanged(@NonNull Account account, RegistrationState state, @NonNull String message);

}